Subject: Re: bug#40073: Checksum mismatch on python-llvmlite patch

From: Maxim Cournoyer <[email-masked]>
Date: Sun, 29 Nov 2020 23:35:51 -0500

Hello,

Marius Bakke <[email-masked]> writes:

> Hello,
>
> python-llvmlite fails to build because it tries to download a patch that
> has the wrong checksum.
>
> Starting download of /gnu/store/hb3kk3d4nngxglfdflf99incbhmbw14h-D47188-svml-VF.patch
> From https://raw.githubusercontent.com/numba/llvmlite/v0.30.0/conda-recipes/D47188-svml-VF.patch...
> downloading from https://raw.githubusercontent.com/numba/llvmlite/v0.30.0/conda-recipes/D47188-svml-VF.patch...
>  D47188-svml-VF.patch  73KiB                             1.5MiB/s 00:00 [##################] 100.0%
> sha256 hash mismatch for /gnu/store/hb3kk3d4nngxglfdflf99incbhmbw14h-D47188-svml-VF.patch:
>   expected hash: 0wxhgb61k17f0zg2m0726sf3hppm41f8jar2kkg2n8sl5cnjj9mr
>   actual hash:   0dlr2kmzjrif0wgqql1s3f6pmmsa8fjwjpm08ni68wwvjjx2lcli
> hash mismatch for store item '/gnu/store/hb3kk3d4nngxglfdflf99incbhmbw14h-D47188-svml-VF.patch'
> build of /gnu/store/vgni0s5mqdyc8pijaz1pdb6pirqd7ddh-D47188-svml-VF.patch.drv failed
>
> This is likely a regression from
> 6608727262f45d351c55cd1ae40414db7768a374 and would go unnoticed if you
> already had the previous patch in your store with the expected checksum.
>
> I tried to simply update the patch, but the updated patch fails to apply
> on LLVM 7, and the *other* patch fails to apply if I change to LLVM 8.
>
> There is a new version of python-llvmlite out too, but no changes to the
> patches.
>
> Not sure what to do from here, help wanted!

I fixed this in commit 8a34f292923cc4b6487e39570a9c6e0526b094e1, earlier
this month.

Closing,

Thanks for the report!

Maxim